#include<stdio.h>
#include<conio.h>
#include<math.h>
void main(void)
{
double xmin,xmax,x,fx;
double tavolsag,nevezo;
int n,i;
clrscr();
printf("\n \t\tKask˘ Norbert\n\t\tBeadand˘ C feladat\n\t\tG1-BG1");
printf("Adatok bek‚r‚se");
printf("\n Adja meg az intervallum kezdet‚t: ");
scanf("%lf",&xmin);
printf("\n Adja meg az intervallum v‚g‚t: ");
scanf("%lf",&xmax);
printf("\n H ny helyen sz moljak x ‚rt‚ket: ");
scanf("%d",&n);
tavolsag=(xmax-xmin)/n;
for(i=0;i<n;i=i+1)
 {
  x=xmin+i*tavolsag;
  if((x-3)*(x+2)<0) printf("\n\tFATAL ERROR");
  else
   {
    nevezo=3*x*x*x*x*x;
    if(nevezo==0)
     printf("\n\tERROR 2");
    else
     {
      fx=(sqrt( (x-3)*(x+2) ))/nevezo;
      printf("\n\t x:%lf \ty:%lf",x,fx);
     }
   }
  }
     getch();

}










#include<conio.h>
#include<stdio.h>

float pont [12];

void main(void)

{
  int tav, kiv, i,j;

  float psz;
  clrscr();

  puts("Sˇugr˘verseny");

  printf("\n K‚rem a t vol sg ‚s a min‹s‚gi pontokat mind a 12 sportol˘ra, 2 sorozatban!");

  for (i=0; i<2; i++)

   {
    printf (\n"%d. ugr ssorozat eredm‚nyei: \n", i+1);

    for(j=0; j<12; j++)

     { printf ("%d. ugr˘ ugr si t vols ga:",j+1);

       scanf ("%d",&tav);

       printf ("\t min‹s‚gi pontsz ma:");

       scanf ("%d",&kiv);

       psz=0.9*tav+kiv;

       printf (" pontsz ma: %5.1f", psz);

       pont(i)t=psz;

      }//ciklus R v‚ge(sportol˘k)

   }//ciklus 1 v‚ge (ugr ssorozatok)

   //rendz‚s


   for (i=0;i<12-1; i++)

    for (j=i+1;j<12; j++)

    if (pont [i]< pont[j]  //j<i, aj<ai j˘ sorrend

  {
   psz=pont[i]; pont[i]=pont[j];

   pont[j]=psz; //csere
  }

  //kiˇrat s:

  printf("\n A verseny els‹ 3 helyezettj‚nek pontsz mai: \n");

  for (j=0;j<3;j++)

  printf ("%d. helyezett‚:%5.1f\n",i+1;pont[i]);

  getch();
  }
